<!doctype html>
<html lang="en">
<head>
    <title>Code coverage report for model/actions.js</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="../prettify.css" />
    <link rel="stylesheet" href="../base.css" />
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <style type='text/css'>
        .coverage-summary .sorter {
            background-image: url(../sort-arrow-sprite.png);
        }
    </style>
</head>
<body>
<div class='wrapper'>
  <div class='pad1'>
    <h1>
      <a href="../index.html">All files</a> / <a href="index.html">model</a> actions.js
    </h1>
    <div class='clearfix'>
      <div class='fl pad1y space-right2'>
        <span class="strong">100% </span>
        <span class="quiet">Statements</span>
        <span class='fraction'>33/33</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">100% </span>
        <span class="quiet">Branches</span>
        <span class='fraction'>0/0</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">100% </span>
        <span class="quiet">Functions</span>
        <span class='fraction'>17/17</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">100% </span>
        <span class="quiet">Lines</span>
        <span class='fraction'>18/18</span>
      </div>
    </div>
    <p class="quiet">
      Press <em>n</em> or <em>j</em> to go to the next uncovered block, <em>b</em>, <em>p</em> or <em>k</em> for the previous block.
    </p>
  </div>
  <div class='status-line high'></div>
<pre><table class="coverage">
<tr><td class="line-count quiet"><a name='L1'></a><a href='#L1'>1</a>
<a name='L2'></a><a href='#L2'>2</a>
<a name='L3'></a><a href='#L3'>3</a>
<a name='L4'></a><a href='#L4'>4</a>
<a name='L5'></a><a href='#L5'>5</a>
<a name='L6'></a><a href='#L6'>6</a>
<a name='L7'></a><a href='#L7'>7</a>
<a name='L8'></a><a href='#L8'>8</a>
<a name='L9'></a><a href='#L9'>9</a>
<a name='L10'></a><a href='#L10'>10</a>
<a name='L11'></a><a href='#L11'>11</a>
<a name='L12'></a><a href='#L12'>12</a>
<a name='L13'></a><a href='#L13'>13</a>
<a name='L14'></a><a href='#L14'>14</a>
<a name='L15'></a><a href='#L15'>15</a>
<a name='L16'></a><a href='#L16'>16</a>
<a name='L17'></a><a href='#L17'>17</a>
<a name='L18'></a><a href='#L18'>18</a>
<a name='L19'></a><a href='#L19'>19</a>
<a name='L20'></a><a href='#L20'>20</a></td><td class="line-coverage quiet"><span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-neutral">&nbsp;</span></td><td class="text"><pre class="prettyprint lang-js">import ActionTypes from '../constants/actionTypes';
&nbsp;
export const changeAuthStateStore = payload =&gt; ({ type: ActionTypes.CHANGE_AUTH_STATE_STORE, payload });
export const changeLoginDataStore = payload =&gt; ({ type: ActionTypes.CHANGE_LOGIN_DATA_STORE, payload });
export const setErrorStore = payload =&gt; ({ type: ActionTypes.SET_ERROR_STORE, payload });
export const setCurrentUuidStore = payload =&gt; ({ type: ActionTypes.SET_CURRENT_UUID_STORE, payload });
export const setUserPermissionsStore = payload =&gt; ({ type: ActionTypes.SET_USER_PERMISSIONS_STORE, payload });
export const changeCurrentVersionStore = payload =&gt; ({ type: ActionTypes.CHANGE_CURRENT_VERSION_STORE, payload });
export const changeSelectedTabStore = payload =&gt; ({ type: ActionTypes.CHANGE_SELECTED_TAB_STORE, payload });
export const changeListOfPersons = () =&gt; ({ type: ActionTypes.CHANGE_LIST_OF_PERSONS });
export const changeListOfPersonsStore = payload =&gt; ({ type: ActionTypes.CHANGE_LIST_OF_PERSONS_STORE, payload });
export const changeLogs = () =&gt; ({ type: ActionTypes.CHANGE_LOGS });
export const changeLogsStore = payload =&gt; ({ type: ActionTypes.CHANGE_LOGS_STORE, payload });
export const setSelectEditStore = payload =&gt; ({ type: ActionTypes.SET_SELECT_EDIT_STORE, payload });
export const setCurrentIdStore = payload =&gt; ({ type: ActionTypes.SET_CURRENT_ID_STORE, payload });
export const setPersonDataStore = payload =&gt; ({ type: ActionTypes.SET_PERSON_DATA_STORE, payload });
export const changeModalStatusStore = payload =&gt; ({ type: ActionTypes.CHANGE_MODAL_STATUS_STORE, payload });
export const setOfCurrentKeyStore = payload =&gt; ({ type: ActionTypes.SET_OF_CURRENT_KEY_STORE, payload });
export const setOfIdStore = payload =&gt; ({ type: ActionTypes.SET_OF_ID_STORE, payload });
&nbsp;</pre></td></tr>
</table></pre>
<div class='push'></div><!-- for sticky footer -->
</div><!-- /wrapper -->
<div class='footer quiet pad2 space-top1 center small'>
  Code coverage
  generated by <a href="https://istanbul.js.org/" target="_blank">istanbul</a> at Mon Feb 03 2020 13:52:28 GMT+0200 (Eastern European Standard Time)
</div>
</div>
<script src="../prettify.js"></script>
<script>
window.onload = function () {
        if (typeof prettyPrint === 'function') {
            prettyPrint();
        }
};
</script>
<script src="../sorter.js"></script>
<script src="../block-navigation.js"></script>
</body>
</html>
